Package de.willuhn.jameica.hbci.rmi

# Interface Umsatz

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `Checksum`, `de.willuhn.datasource.rmi.DBObject`, `Duplicatable<Umsatz>`, `Flaggable`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `HibiscusTransfer`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`, `Transfer`

All Known Implementing Classes:
  `UmsatzImpl`

public interface Umsatz extends HibiscusTransfer, HibiscusDBObject, Checksum, Flaggable, Duplicatable<Umsatz>
Bildet eine Zeile in den Kontoauszuegen ab. Auch wenn das Interface Set-Methoden zum Speichern von Werten besitzt, so macht es keinen Sinn, manuell derartige Objekte zu erzeugen und zu speichern oder zu aendern. Umsatz-Objekte werden ueber HBCI-Geschaeftsvorfaelle von der Bank geliefert und nur von dort geschrieben.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FLAG_CHECKED`
Flag "Geprueft".
`static final int`
`FLAG_NONE`
Flag "kein Flag".
`static final int`
`FLAG_NOTBOOKED`
Flag "Vorgemerkt".

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddKey()`
Liefert die 3-stellige Textschluessel-Ergaenzung.
`String`
`getArt()`
Liefert einen Text, der die Art der Buchung beschreibt.
`String`
`getCreditorId()`
Liefert die Gläubiger-ID des Gegenkontos.
`String`
`getCustomerRef()`
Liefert die Kundenreferenz.
`Date`
`getDatum()`
Liefert das Datum der Buchung.
`String`
`getEndToEndId()`
Liefert die EndToEnd-ID der Buchung.
`String`
`getGegenkontoName2()`
Liefert den Namen des ultimativen Empfaengers.
`String`
`getGvCode()`
Liefert den 3-stelligen Geschaeftsvorfall-Code.
`String`
`getKommentar()`
Liefert einen optionalen Kommentar, den der User zu dem Umsatz eintragen kann.
`String`
`getMandateId()`
Liefert die Mandatsreferenz der Buchung.
`String`
`getPrimanota()`
Liefert das Primanota-Kennzeichen der Buchung.
`String`
`getPurposeCode()`
Liefert den Purpose-Code der Buchung.
`double`
`getSaldo()`
Liefert den Saldo des Kontos nach dieser Buchung.
`String`
`getTransactionId()`
Liefert eine optionale Transaktions-ID, anhand derer der Umsatz eindeutig identifiziert werden kann.
`UmsatzTyp`
`getUmsatzTyp()`
Liefert einen ggf manuell zugeordneten Umsatz-Typ oder `null` wenn keiner zugeordnet ist.
`Date`
`getValuta()`
Datum der Wert-Stellung.
`boolean`
`isAssigned()`
Liefert true, wenn der Umsatz einer Kategorie zugeordnet ist.
`void`
`setAddKey(String key)`
Speichert die 3-stellige Textschluessel-Ergaenzung.
`void`
`setArt(String art)`
Speichert einen Text, der die Art der Buchung beschreibt.
`void`
`setCreditorId(String id)`
Setzt die Gläubiger-ID des Gegenkontos.
`void`
`setCustomerRef(String ref)`
Speichert die Kundenreferenz.
`void`
`setDatum(Date d)`
Datum der Buchung.
`void`
`setEndToEndId(String id)`
Speichern die EndToEnd-ID der Buchung.
`void`
`setGegenkontoName2(String name)`
Setzt den Namen des ultimativen Empfaengers.
`void`
`setGvCode(String code)`
Speichert den 3-stelligen Geschaeftsvorfall-Code.
`void`
`setKommentar(String kommentar)`
Speichert einen optionalen Kommentar zu dem Umsatz.
`void`
`setMandateId(String id)`
Speichern die Mandatsreferenz der Buchung.
`void`
`setPrimanota(String primanota)`
Speichert das Primanota-Kennzeichen der Buchung.
`void`
`setPurposeCode(String code)`
Speichern den Purpose-Code der Buchung.
`void`
`setSaldo(double s)`
Speichert den Saldo des Kontos nach dieser Buchung.
`void`
`setTransactionId(String id)`
Speichert eine optionale Transaktions-ID, anhand derer der Umsatz eindeutig identifiziert werden kann.
`void`
`setUmsatzTyp(UmsatzTyp ut)`
Speichert einen manuell zugeordneten Umsatz-Typ.
`void`
`setValuta(Date d)`
Datum der Wertstellung.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Checksum

`getChecksum`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Duplicatable

`duplicate`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Flaggable

`getFlags, hasFlag, setFlags`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusTransfer

`getKonto, setBetrag, setGegenkonto, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Field Details

### FLAG_NONE

static final int FLAG_NONE
Flag "kein Flag".

See Also:
  - Constant Field Values

### FLAG_CHECKED

static final int FLAG_CHECKED
Flag "Geprueft".

See Also:
  - Constant Field Values

### FLAG_NOTBOOKED

static final int FLAG_NOTBOOKED
Flag "Vorgemerkt".

See Also:
  - Constant Field Values

## Method Details

### getDatum

Date getDatum() throws RemoteException
Liefert das Datum der Buchung.

Returns:
  Datum der Buchung.
Throws:
  `RemoteException`

### getValuta

Date getValuta() throws RemoteException
Datum der Wert-Stellung. Das ist das Datum, ab dem der gebuchte Betrag finanzmathematisch Geltung findet. Oft stimmt der mit dem Datum der Buchung ueberein.

Returns:
  Valuta.
Throws:
  `RemoteException`

### getSaldo

double getSaldo() throws RemoteException
Liefert den Saldo des Kontos nach dieser Buchung.

Returns:
  Saldo.
Throws:
  `RemoteException`

### getPrimanota

String getPrimanota() throws RemoteException
Liefert das Primanota-Kennzeichen der Buchung.

Returns:
  PrimaNota-Kennzeichen.
Throws:
  `RemoteException`

### getArt

String getArt() throws RemoteException
Liefert einen Text, der die Art der Buchung beschreibt.

Returns:
  Art der Buchung.
Throws:
  `RemoteException`

### getCustomerRef

String getCustomerRef() throws RemoteException
Liefert die Kundenreferenz.

Returns:
  Kundenreferenz.
Throws:
  `RemoteException`

### getKommentar

String getKommentar() throws RemoteException
Liefert einen optionalen Kommentar, den der User zu dem Umsatz eintragen kann.

Returns:
  optionaler Kommentar.
Throws:
  `RemoteException`

### getGvCode

String getGvCode() throws RemoteException
Liefert den 3-stelligen Geschaeftsvorfall-Code.

Returns:
  der 3-stellige Geschaeftsvorfall-Code.
Throws:
  `RemoteException`

### setGvCode

void setGvCode(String code) throws RemoteException
Speichert den 3-stelligen Geschaeftsvorfall-Code.

Parameters:
  `code` - der 3-stellige Geschaeftsvorfall-Code.
Throws:
  `RemoteException`

### getAddKey

String getAddKey() throws RemoteException
Liefert die 3-stellige Textschluessel-Ergaenzung.

Returns:
  die 3-stellige Textschluessel-Ergaenzung.
Throws:
  `RemoteException`

### setAddKey

void setAddKey(String key) throws RemoteException
Speichert die 3-stellige Textschluessel-Ergaenzung.

Parameters:
  `key` - die 3-stellige Textschluessel-Ergaenzung.
Throws:
  `RemoteException`

### setKommentar

void setKommentar(String kommentar) throws RemoteException
Speichert einen optionalen Kommentar zu dem Umsatz.

Parameters:
  `kommentar` - Kommentar.
Throws:
  `RemoteException`

### setDatum

void setDatum(Date d) throws RemoteException
Datum der Buchung.

Parameters:
  `d` -
Throws:
  `RemoteException`

### setValuta

void setValuta(Date d) throws RemoteException
Datum der Wertstellung.

Parameters:
  `d` -
Throws:
  `RemoteException`

### setSaldo

void setSaldo(double s) throws RemoteException
Speichert den Saldo des Kontos nach dieser Buchung.

Parameters:
  `s` -
Throws:
  `RemoteException`

### setPrimanota

void setPrimanota(String primanota) throws RemoteException
Speichert das Primanota-Kennzeichen der Buchung.

Parameters:
  `primanota` -
Throws:
  `RemoteException`

### setArt

void setArt(String art) throws RemoteException
Speichert einen Text, der die Art der Buchung beschreibt.

Parameters:
  `art` -
Throws:
  `RemoteException`

### setCustomerRef

void setCustomerRef(String ref) throws RemoteException
Speichert die Kundenreferenz.

Parameters:
  `ref` -
Throws:
  `RemoteException`

### getUmsatzTyp

UmsatzTyp getUmsatzTyp() throws RemoteException
Liefert einen ggf manuell zugeordneten Umsatz-Typ oder `null` wenn keiner zugeordnet ist.

Returns:
  Umsatz-Typ.
Throws:
  `RemoteException`

### setUmsatzTyp

void setUmsatzTyp(UmsatzTyp ut) throws RemoteException
Speichert einen manuell zugeordneten Umsatz-Typ.

Parameters:
  `ut` - zugeordneter Umsatztyp oder `null` zum Entfernen der Zuordnung.
Throws:
  `RemoteException`

### isAssigned

boolean isAssigned() throws RemoteException
Liefert true, wenn der Umsatz einer Kategorie zugeordnet ist.

Returns:
  true, wenn der Umsatz einer Kategorie zugeordnet ist.
Throws:
  `RemoteException`

### getTransactionId

String getTransactionId() throws RemoteException
Liefert eine optionale Transaktions-ID, anhand derer der Umsatz eindeutig identifiziert werden kann. Die ID ist nur bei Umsaetzen vorhanden, die per CAMT abgerufen wurden. Wichtig: Hibiscus garantiert NICHT, dass die ID eindeutig ist. Weder durch Programmlogik noch durch einen Unique-Key. Denn wuerde es das tun - und es wuerde tatsaechlich zu einer doppelten ID kommen, koennte der Umsatz nicht angelegt werden. Die ID ist lediglich ein zusaetzliches Kriterium bei der Doppler-Erkennung.

Returns:
  optionale Transaktions-ID, anhand derer der Umsatz eindeutig identifiziert werden kann.
Throws:
  `RemoteException`

### setTransactionId

void setTransactionId(String id) throws RemoteException
Speichert eine optionale Transaktions-ID, anhand derer der Umsatz eindeutig identifiziert werden kann. Wichtig: Hibiscus garantiert NICHT, dass die ID eindeutig ist. Weder durch Programmlogik noch durch einen Unique-Key. Denn wuerde es das tun - und es wuerde tatsaechlich zu einer doppelten ID kommen, koennte der Umsatz nicht angelegt werden. Die ID ist lediglich ein zusaetzliches Kriterium bei der Doppler-Erkennung.

Parameters:
  `id` - die eindeutige Transaktions-ID.
Throws:
  `RemoteException`

### getPurposeCode

String getPurposeCode() throws RemoteException
Liefert den Purpose-Code der Buchung. Nur bei Umsaetzen vorhanden, die per CAMT abgerufen wurden.

Returns:
  der Purpose-Code der Buchung.
Throws:
  `RemoteException`

### setPurposeCode

void setPurposeCode(String code) throws RemoteException
Speichern den Purpose-Code der Buchung.

Parameters:
  `code` - der Purpose-Code der Buchung.
Throws:
  `RemoteException`

### getEndToEndId

String getEndToEndId() throws RemoteException
Liefert die EndToEnd-ID der Buchung. Nur bei Umsaetzen vorhanden, die per CAMT abgerufen wurden.

Returns:
  der EndToEnd-ID der Buchung.
Throws:
  `RemoteException`

### setEndToEndId

void setEndToEndId(String id) throws RemoteException
Speichern die EndToEnd-ID der Buchung.

Parameters:
  `id` - die EndToEnd-ID der Buchung.
Throws:
  `RemoteException`

### getMandateId

String getMandateId() throws RemoteException
Liefert die Mandatsreferenz der Buchung. Nur bei Umsaetzen vorhanden, die per CAMT abgerufen wurden.

Returns:
  der Mandatsreferenz der Buchung.
Throws:
  `RemoteException`

### setMandateId

void setMandateId(String id) throws RemoteException
Speichern die Mandatsreferenz der Buchung.

Parameters:
  `id` - die Mandatsreferenz der Buchung.
Throws:
  `RemoteException`

### getGegenkontoName2

String getGegenkontoName2() throws RemoteException
Liefert den Namen des ultimativen Empfaengers. Nur bei Umsaetzen vorhanden, die per CAMT abgerufen wurden.

Returns:
  Name des ultimativen Empfaengers
Throws:
  `RemoteException`

### setGegenkontoName2

void setGegenkontoName2(String name) throws RemoteException
Setzt den Namen des ultimativen Empfaengers.

Parameters:
  `name` - Name des ultimativen Empfaengers
Throws:
  `RemoteException`

### getCreditorId

String getCreditorId() throws RemoteException
Liefert die Gläubiger-ID des Gegenkontos. Nur bei Umsaetzen vorhanden, die per CAMT abgerufen werden.

Returns:
  Gläubiger-ID des Gegenkontos
Throws:
  `RemoteException`

### setCreditorId

void setCreditorId(String id) throws RemoteException
Setzt die Gläubiger-ID des Gegenkontos.

Parameters:
  `id` - Gläubiger-ID des Gegenkontos
Throws:
  `RemoteException`